task untar {

    File tar_file
	String docker
	String cluster_config
	String disk_size


	command <<<
		nt=$(nproc)
		tar -zxvf ${tar_file}
		tree > tree.file.txt
		ls > ls.file.txt
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/" 
	}

	output {
		Array[File] fastq_file = glob("*.fastq.gz")
		File tree_file = "tree.file.txt"
		File ls_file = "ls.file.txt"
	}
}
